[Csnd-dev] Versions of liblo for OSC

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Csnd-dev] Versions of liblo for OSC

jpff
The currently distributed version of csound uses liblo v0.28 which is
quite old (early 2014).  We have identified a couple of bugs for which
the easiest fix is to use liblo v0.29 from last August.  Unfortunately
at least Debian, Ubuntu and SuSE GNU/Linux distributions still provide
0.28, and I do not know about OSX or Windows.

The github code has provision for either version, but I would like to
hear from developers about the versions of liblo and how to proceed.

Does any system distribute 0.29 or is it only self-built?
Could/should we build the newer version as part of the csound build?
Any other ideas?

==John ffitch
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] Versions of liblo for OSC

Victor Lazzarini-2
On MacOS, 0.29 can be easily built. I am deploying it in the next release.

Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy
Maynooth University
Ireland

> On 9 Aug 2018, at 16:37, John <[hidden email]> wrote:
>
> The currently distributed version of csound uses liblo v0.28 which is
> quite old (early 2014).  We have identified a couple of bugs for which
> the easiest fix is to use liblo v0.29 from last August.  Unfortunately
> at least Debian, Ubuntu and SuSE GNU/Linux distributions still provide
> 0.28, and I do not know about OSX or Windows.
>
> The github code has provision for either version, but I would like to
> hear from developers about the versions of liblo and how to proceed.
>
> Does any system distribute 0.29 or is it only self-built?
> Could/should we build the newer version as part of the csound build?
> Any other ideas?
>
> ==John ffitch
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] Versions of liblo for OSC

Stephen Kyne
We use the latest version 0.29 in the Windows build from the github releases: https://github.com/radarsat1/liblo




From: Csound-developers <[hidden email]> on behalf of Victor Lazzarini <[hidden email]>
Sent: Thursday 9 August 2018 17:27
To: [hidden email]
Subject: Re: [Csnd-dev] Versions of liblo for OSC
 
On MacOS, 0.29 can be easily built. I am deploying it in the next release.

Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy
Maynooth University
Ireland

> On 9 Aug 2018, at 16:37, John <[hidden email]> wrote:
>
> The currently distributed version of csound uses liblo v0.28 which is
> quite old (early 2014).  We have identified a couple of bugs for which
> the easiest fix is to use liblo v0.29 from last August.  Unfortunately
> at least Debian, Ubuntu and SuSE GNU/Linux distributions still provide
> 0.28, and I do not know about OSX or Windows.
>
> The github code has provision for either version, but I would like to
> hear from developers about the versions of liblo and how to proceed.
>
> Does any system distribute 0.29 or is it only self-built?
> Could/should we build the newer version as part of the csound build?
> Any other ideas?
>
> ==John ffitch